Knowledge Base

Follow

Studio 192 - Mac OS X Compatibility Update

Update Feb 25, 2016 

 

USB 3.0 Audio Support for Mac OS X 10.11 - 

  • PreSonus has released UC 1.5.0.36497 which now works with Mac OS X 10.11.2 (and higher) with the USB 3.0 cable on USB 3.0 enabled late model Macs. 
  • There is a known issue in OS X 10.11, 10.11.1 and 10.11.2 that prevents the Studio 192 (UC 1.4.3) from operating correctly when connected with a USB 3.0 cable on a USB 3.0 enabled Mac is audio distortion after two to three minutes of playback.
  • The error is caused by Apple whose USB 3.0 class audio implementation was incomplete. We had to make some adjustments in our driver to accommodate changes to Apple's development of their USB 3.0 Audio Support.
  • If you must use 10.11 or 10.11.1, the work around for this issue is to connect your Studio 192 with a USB 2.0 cable. There is no loss of functionality with this configuration.
  • Upgrading to 10.11.2 will resolve the issue when used with the UC 1.5.0.36497 release posted on Feb 25, 2016. 

Connecting Studio 192 to USB 3.0 enabled Mac with 10.8.x, 10.9.x or 10.10.x - NOTE!

  • Connecting the Studio 192 to a system on OS X 10.10.x / 10.9.x /10.8.x on a Mac with a USB 3.0 Port will result in audio from not streaming at all. OS X 10.10.x / 10.9.x /10.8.x users must connect their Studio 192 with a USB 2.0 cable. There is no loss of functionality with this configuration.
  • This will never change, this is by design by Apple, the only OS that supports USB 3.0 operation with USB 3.0 Audio is 10.11.2 and newer versions of the OS.
  • Older Macs with USB 2.0 ports running 10.11.x,10.10.x, 10.9.x or 10.8.x can use the USB 3.0 cable connected from the Studio 192 to the Mac, because the Studio 192 is compatible with USB 2.0, there is no loss of functionality when setup this way.

Studio 192 and Logic X at and sample rates above 48KHz - SOLUTION!

  • We had reported previously about an issue with Logic that prevents the Studio 192 from operating at sample rates higher than 48 KHz. The solution is in our answer base here.

Studio 192 and Studio One required version - NOTE!

  • Studio One must be on version 3.1.0 or higher in order for the integration between Studio 192 and Studio One 3 to work correctly. 

 

 

Was this article helpful?
3 out of 4 found this helpful
Have more questions? Submit a request
Powered by Zendesk